AWS IoT Device SDK C++ v2: Aws::Crt::Io::TlsContext Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Crt::Io::TlsContext Class Referencefinal

`#include <TlsOptions.h>`

## Public Member Functions
| TlsContext () noexcept
| TlsContext (TlsContextOptions &options, TlsMode mode, Allocator *allocator=g_allocator) noexcept
| ~TlsContext ()=default
| TlsContext (const TlsContext &) noexcept=default
TlsContext & | operator= (const TlsContext &) noexcept=default
| TlsContext (TlsContext &&) noexcept=default
TlsContext & | operator= (TlsContext &&) noexcept=default
TlsConnectionOptions | NewConnectionOptions () const noexcept
| operator bool () const noexcept
int | GetInitializationError () const noexcept

## Detailed Description

Stateful context for TLS with a given configuration. Per-connection TLS "contexts" (TlsConnectionOptions) are instantiated from this as needed.

## Constructor & Destructor Documentation

## ◆ TlsContext() [1/4]

Aws::Crt::Io::TlsContext::TlsContext | ( |  | ) |
| noexcept

## ◆ TlsContext() [2/4]

Aws::Crt::Io::TlsContext::TlsContext | ( | TlsContextOptions & | options,
|  | TlsMode | mode,
|  | Allocator * | allocator = `g_allocator`
| ) |  |
| noexcept

## ◆ ~TlsContext()

Aws::Crt::Io::TlsContext::~TlsContext | ( |  | ) |
| default

## ◆ TlsContext() [3/4]

Aws::Crt::Io::TlsContext::TlsContext | ( | const TlsContext & |  | ) |
| defaultnoexcept

## ◆ TlsContext() [4/4]

Aws::Crt::Io::TlsContext::TlsContext | ( | TlsContext && |  | ) |
| defaultnoexcept

## Member Function Documentation

## ◆ GetInitializationError()

int Aws::Crt::Io::TlsContext::GetInitializationError | ( |  | ) | const
| inlinenoexcept

Returns
  the value of the last aws error encountered by operations on this instance.

## ◆ NewConnectionOptions()

TlsConnectionOptions Aws::Crt::Io::TlsContext::NewConnectionOptions | ( |  | ) | const
| noexcept

Returns
  a new connection-specific TLS context that can be configured with per-connection options (server name, peer verification, etc...)

## ◆ operator bool()

Aws::Crt::Io::TlsContext::operator bool | ( |  | ) | const
| inlineexplicitnoexcept

Returns
  true if the instance is in a valid state, false otherwise.

## ◆ operator=() [1/2]

TlsContext & Aws::Crt::Io::TlsContext::operator= | ( | const TlsContext & |  | ) |
| defaultnoexcept

## ◆ operator=() [2/2]

TlsContext & Aws::Crt::Io::TlsContext::operator= | ( | TlsContext && |  | ) |
| defaultnoexcept

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/io/TlsOptions.h
- crt/aws-crt-cpp/source/io/TlsOptions.cpp